{ Copyright (C) 2013 Dimitar Paperov

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA.
}

unit angle_form;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm2 }

  TForm2 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    CheckBox1: TCheckBox;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure Edit1KeyPress(Sender: TObject; var Key: char);
  private
    { private declarations }
  public
    { public declarations }
    function ShowMe(aAngleCount: integer): boolean;
  end;

var
  Form2: TForm2;

implementation

{$R *.lfm}

{ TForm2 }

procedure TForm2.Edit1KeyPress(Sender: TObject; var Key: char);
begin
  if not (Key in ['0'..'9',DefaultFormatSettings.DecimalSeparator,#8]) then
    Key := #0;
end;

function TForm2.ShowMe(aAngleCount: integer): boolean;
begin
  if aAngleCount=1 then begin
    Label2.Visible:=false;
    Edit2.Visible:=false;
  end else begin
    Label2.Visible:=true;
    Edit2.Visible:=true;
  end;
  Result := (ShowModal = mrOk);
end;

end.

